<?php 

$config = array(
    'billing_url' => '/billing',
    'coins_table' => 'money',
    'coins_name'  => array('монета', 'монеты', 'монет'),
    'disp_name'  => 'Монеты',
    'stavka' => array('1', '5', '25', '50', '100', '250'),
    'step' => array('1.2', '1.4', '1.6', '2.0', '2.5', '3.0', '3.5', '4.0', '5.0', '6.0'),
    'url' => '/plugins/games/',
);

$_voice = array();
$_voice['game'] = array(
    array(
        'Камикадзе!!!', 
        'Керосина ещё много, поднажмём!', 
        'Вижу корму эсминца. Он уже совсем близко!',
        'Мы им сейчас покажем кто такие Камикадзе!',
        'Страх — единственное, чего мы должны страшиться!',
        'Камикадзе – в переводе - божественный ветер!',
        'Зададим жару!',
        'Пока всё гладко, летим дальше!?',
        'Долететь бы до эсминца и утопить его!',
        'Какой солнечный день, но для кого-то последний!',
        'Иногда от страха люди становятся храбрыми!',
        'Какой СТОП? Мы же не на трамвае!',
        'Фух... слава богу, нас не заметили!',
        'Про нас напишут в книгах, а их съедят рыбы!',
        'А кто сегодня готов на подвиг?',
        'Не бывает старых и опытных Камикадзе!',            
    ),
    array(
        'Ну что, пловцы, к вам летит подарок!',
        'Они даже спасительные шлюпки снять не успели!',
        'Кораблик, ты выбрал не тот ручей!',
        'Что-то не видно названия эсминца!',   
        'Сколько металла сейчас будет под водой!',
        'Ещё совсем немного и будет жарко!',       
    ),
    array(
        'Бей посуду, я плачу!',
        'Рыбам на корм!',  
        'Камикадзе, приготовились к финальной атаке!',
        'Заходим на цель!',            
        'Еще одни выстрел!!',            
        'Конец близок!!!',            
    ),
    array(
        'Вот и всё...',
        'А вот и развязка...',
        'Хана эсминцу!!!',            
        'Мы победили, урааааа!!!',            
        'Game Over! Ахахаха!!!',            
    ),
);

$_voice['loss'] = array(
    'За родинууу!!!',
    'Трындеееец!!!',
    'Я не хочу умирааааать!!!',
);


function get_num() 
{
  global $config;
  $line = '';
  $key = mt_rand(1111111111, 9999999999);
  
  foreach($config['step'] AS $post) {
    $line .= mt_rand(1, 5) . '|';
  }
  
  $numbers = preg_replace('/\|$/', '', $line);
  
  return array('numbers' => $numbers, 'key' => $key, 'md5' => md5($line.$key));
}